-- Midnight Reveries Naxxramas Boss Mods v7.23 - 21/09/2006
-- Nothing Changed.

-- Loading Modules
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_MRNoth_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_MRHeigan_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_MRLoatheb_OnLoad");


-- Noth The Plaguebringer (19/08/2006) - Changed naming.
function CT_RABoss_MRNoth_OnLoad()
	CT_RABoss_AddMod("Plague wing: Noth the Plaguebringer", CT_RABOSS_MRNOTH_INFO, 1, CT_RABOSS_LOCATIONS_MRNAXXRAMAS);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_MONSTER_YELL", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_HITS", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_COMBAT_CREATURE_VS_PARTY_HITS", CT_RABoss_MRNoth_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Noth the Plaguebringer", "CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS", CT_RABoss_MRNoth_EventHandler);
	
	CT_RABoss_AddDropDownButton("Plague wing: Noth the Plaguebringer", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("Plague wing: Noth the Plaguebringer", { CT_RABOSS_MRNOTH_CURSE_ALERT, CT_RABOSS_MRNOTH_CURSE_ALERT_INFO }, "CT_RABoss_ModInfo", "enablecurse", "CT_RABoss_SetInfo");
	
	CT_RABoss_SetVar("Plague wing: Noth the Plaguebringer", "enablecurse", 1);
end

function CT_RABoss_MRNoth_EventHandler(event)
	if ( not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"] or not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["status"] or not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"].enabled ) then
		return;
	end

	if ( event == "CHAT_MSG_MONSTER_YELL" ) then
		if ( arg1 == CT_RABOSS_MRNOTH_YELL1 or arg1 == CT_RABOSS_MRNOTH_YELL2 or arg1 == CT_RABOSS_MRNOTH_YELL3 ) then
			CT_RABoss_Announce(CT_RABOSS_MRNOTH_ENGAGED, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
			CT_RABoss_PlaySound(3);
			CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"] = 70;
			CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"] = 90;
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", (CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"]-10), "teleportwarn");
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", (CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"]), "teleport");
			CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] = time()

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRNOTH_TELEPORT, "90", "0*255*0"));
			end

		elseif ( arg1 == CT_RABOSS_MRNOTH_DEAD ) then
			CT_RABoss_UnSchedule("CT_RABoss_MRNoth_EventHandler");
		end
		
	elseif ( event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS" ) then
		if ( arg1 == CT_RABOSS_MRNOTH_BLINKSTRING ) then
			CT_RABoss_Announce(CT_RABOSS_MRNOTH_BLINKWARNING, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
			CT_RABoss_PlaySound(2);
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", 28, "blinkwarn");
			CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] = time();

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "2", "20", CT_RABOSS_MRNOTH_BLINK, "30", "0*0*255"));
			end
		end

	elseif ( event == "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE" )  then
		if ( string.find(arg1, CT_RABOSS_MRNOTH_CURSESTRING) ) then
			if ( CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["enablecurse"] and not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["cursetrip"] ) then
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["cursetrip"] = true;
				CT_RABoss_Announce(CT_RABOSS_MRNOTH_DISPELL, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
				CT_RABoss_PlaySound(2);
				CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", 5, "precurse");
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] = time();
			end
		end

	elseif ( event == "CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_HITS" or event == "CHAT_MSG_COMBAT_CREATURE_VS_PARTY_HITS" or event == "CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS" ) then
		if ( string.find(arg1, CT_RABOSS_MRNOTH_BOSSNAME) or string.find(arg1, CT_RABOSS_MRNOTH_WARRIOR) or string.find(arg1, CT_RABOSS_MRNOTH_CHAMPION) or string.find(arg1, CT_RABOSS_MRNOTH_GUARDIAN) ) then
			CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] = time();
		end	

	elseif ( event == "backinroom" ) then
		if ( not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] or ( time() - CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] ) > 30 ) then
			return;
		else
			CT_RABoss_Announce(format(CT_RABOSS_MRNOTH_BACK, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"]), CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
			CT_RABoss_PlaySound(2);
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", (CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"]-10), "teleportwarn");
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", (CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"]), "teleport");

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRNOTH_TELEPORT, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"], "0*255*0"));
			end
		end

	elseif ( event == "teleport" ) then
		CT_RABoss_UnSchedule("CT_RABoss_MRNoth_EventHandler", "blinkwarn");
		if ( not CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] or ( time() - CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["lastaction"] ) > 30 ) then
			return;
		else
			CT_RABoss_Announce(format(CT_RABOSS_MRNOTH_TELEPORTED, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"]), CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
			CT_RABoss_PlaySound(2);
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", (CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"]-10), "Plague wing: Nothsoon");
			CT_RABoss_Schedule("CT_RABoss_MRNoth_EventHandler", CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"], "backinroom");

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRNOTH_BALCONY, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"], "255*0*0"));
			end

			if ( CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"] == 70 ) then
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"] = 95;
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"] = 110;
			elseif ( CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"] == 95 ) then
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeonbalcony"] = 120;
				CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["timeinroom"] = 180;
			end
		end

	elseif ( event == "precurse" ) then
		CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["cursetrip"] = false;

	elseif ( event == "blinkwarn" ) then
		CT_RABoss_Announce(CT_RABOSS_MRNOTH_BLINKSOON, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
		CT_RABoss_PlaySound(3);

	elseif ( event == "teleportwarn" ) then
		CT_RABoss_Announce(CT_RABOSS_MRNOTH_TELEPORT_10SEC, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
		CT_RABoss_PlaySound(3);

	elseif ( event == "Plague wing: Nothsoon" ) then
		CT_RABoss_Announce(CT_RABOSS_MRNOTH_BACK_10SEC, CT_RABoss_Mods["Plague wing: Noth the Plaguebringer"]["announce"]);
		CT_RABoss_PlaySound(3);

	end
end


-- Heigan the Unclean (19/08/2006) - Changed naming.
function CT_RABoss_MRHeigan_OnLoad()
	CT_RABoss_AddMod("Plague wing: Heigan the Unclean", CT_RABOSS_MRHEIGAN_INFO, 1, CT_RABOSS_LOCATIONS_MRNAXXRAMAS);
	CT_RABoss_AddEvent("Plague wing: Heigan the Unclean", "CHAT_MSG_MONSTER_YELL", CT_RABoss_MRHeigan_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Heigan the Unclean", "CHAT_MSG_MONSTER_EMOTE", CT_RABoss_MRHeigan_EventHandler);

	CT_RABoss_AddDropDownButton("Plague wing: Heigan the Unclean", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_MRHeigan_EventHandler(event)
	if ( not CT_RABoss_Mods["Plague wing: Heigan the Unclean"] or not CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["status"] or not CT_RABoss_Mods["Plague wing: Heigan the Unclean"].enabled ) then
		return;
	end

	if ( event == "CHAT_MSG_MONSTER_YELL" ) then
		if ( arg1 == CT_RABOSS_MRHEIGAN_PHASE1_YELL1 or arg1 == CT_RABOSS_MRHEIGAN_PHASE1_YELL2 or arg1 == CT_RABOSS_MRHEIGAN_PHASE1_YELL3 ) then
			CT_RABoss_Announce(CT_RABOSS_MRHEIGAN_ENGAGED, CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"]);
			CT_RABoss_PlaySound(3);
			CT_RABoss_UnSchedule("CT_RABoss_MRHeigan_EventHandler");
			CT_RABoss_Schedule("CT_RABoss_MRHeigan_EventHandler", 80, "teleportwarn");

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRHEIGAN_TELEPORT, "90", "0*255*0"));
			end

		elseif ( arg1 == CT_RABOSS_MRHEIGAN_PHASE2_YELL1 ) then
			CT_RABoss_Announce(CT_RABOSS_MRHEIGAN_TELEPORTED, CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"]);
			CT_RABoss_PlaySound(2);
			CT_RABoss_UnSchedule("CT_RABoss_MRHeigan_EventHandler", "teleportwarn");
			CT_RABoss_Schedule("CT_RABoss_MRHeigan_EventHandler", 42, "backsoon");
			CT_RABoss_Schedule("CT_RABoss_MRHeigan_EventHandler", 45, "backinroom");

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRHEIGAN_DANCE, "45", "255*0*0"));
			end
		end

	elseif ( event == "CHAT_MSG_MONSTER_EMOTE" and arg2 == CT_RABOSS_MRHEIGAN_BOSSNAME ) then
		if ( arg1 == CT_RABOSS_MRHEIGAN_DEAD ) then
			CT_RABoss_UnSchedule("CT_RABoss_MRHeigan_EventHandler");
		end

	elseif ( event == "backinroom" ) then
		CT_RABoss_Announce(CT_RABOSS_MRHEIGAN_BACK, CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"]);
		CT_RABoss_PlaySound(2);
		CT_RABoss_Schedule("CT_RABoss_MRHeigan_EventHandler", 80, "teleportwarn");

		if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"] ) then
			CT_RA_SendMessage("AaO b1 t20 n*Teleport* f90 r0*255*0");
		end

	elseif ( event == "teleportwarn" ) then
		CT_RABoss_Announce(CT_RABOSS_MRHEIGAN_TELEPORT_10SEC, CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"]);
		CT_RABoss_PlaySound(3);

	elseif ( event == "backsoon" ) then
		CT_RABoss_Announce(CT_RABOSS_MRHEIGAN_BACK_3SEC, CT_RABoss_Mods["Plague wing: Heigan the Unclean"]["announce"]);
		CT_RABoss_PlaySound(3);
	end
end

-- Loatheb (22/08/2006) - Updated to use chat_msg_addon.
function CT_RABoss_MRLoatheb_OnLoad()
	CT_RABoss_AddMod("Plague wing: Loatheb", CT_RABOSS_MRLOATHEB_INFO, 1, CT_RABOSS_LOCATIONS_MRNAXXRAMAS);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "PLAYER_REGEN_DISABLED", CT_RABoss_MRLoatheb_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "CHAT_MSG_ADDON", CT_RABoss_MRLoatheb_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE", CT_RABoss_MRLoatheb_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE", CT_RABoss_MRLoatheb_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE", CT_RABoss_MRLoatheb_EventHandler);
	CT_RABoss_AddEvent("Plague wing: Loatheb", "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_BUFF", CT_RABoss_MRLoatheb_EventHandler);

	CT_RABoss_AddDropDownButton("Plague wing: Loatheb", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("Plague wing: Loatheb", { CT_RABOSS_MRLOATHEB_CURSES_ALERT, CT_RABOSS_MRLOATHEB_CURSES_ALERT_INFO }, "CT_RABoss_ModInfo", "enablecurseS", "CT_RABoss_SetInfo");

	CT_RABoss_SetVar("Plague wing: Loatheb", "enablecurses", 1);
end

function CT_RABoss_MRLoatheb_Start()
	CT_RABoss_Announce(CT_RABOSS_MRLOATHEB_ENGAGE, CT_RABoss_Mods["Plague wing: Loatheb"]["announce"]);
	CT_RABoss_PlaySound(3);	
	CT_RABoss_Mods["Plague wing: Loatheb"]["lastaction"] = time();
	CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] = true;
	CT_RABoss_Schedule("CT_RABoss_MRLoatheb_EventHandler", 110, "doom5");

	if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Loatheb"]["announce"] ) then
		CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRLOATHEB_DOOM_TIMER, "115", "255*0*0"));
	end
end

function CT_RABoss_MRLoatheb_EventHandler(event)
	if ( not CT_RABoss_Mods["Plague wing: Loatheb"] or not CT_RABoss_Mods["Plague wing: Loatheb"]["status"] or not CT_RABoss_Mods["Plague wing: Loatheb"].enabled ) then
		return;
	end

	if ( CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] and ( not CT_RABoss_Mods["Plague wing: Loatheb"]["lastaction"] or ( time() - CT_RABoss_Mods["Plague wing: Loatheb"]["lastaction"] ) > 60 ) ) then
		CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] = false;
		CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"] = nil;
	end

	if ( event == "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE" ) then
		if ( string.find(arg1, CT_RABOSS_MRLOATHEB_DOOM_STRING) and not CT_RABoss_Mods["Plague wing: Loatheb"]["doomtrip"] ) then
			CT_RABoss_Announce(CT_RABOSS_MRLOATHEB_DOOM_WARN, CT_RABoss_Mods["Plague wing: Loatheb"]["announce"]);
			CT_RABoss_PlaySound(2);
			CT_RABoss_UnSchedule("CT_RABoss_MRLoatheb_EventHandler", "doom5");
			CT_RABoss_Schedule("CT_RABoss_MRLoatheb_EventHandler", 5, "undoom");
			CT_RABoss_Mods["Plague wing: Loatheb"]["doomtrip"] = true;
			CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] = true;
			CT_RABoss_Mods["Plague wing: Loatheb"]["lastaction"] = time();

			if ( CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"] ) then
				CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"] = CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"]+1;
			else
				CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"] = 0;
			end
			
			if ( CT_RABoss_Mods["Plague wing: Loatheb"]["countdoom"] > 7 ) then
				CT_RABoss_Schedule("CT_RABoss_MRLoatheb_EventHandler", 10, "doom5");

				if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Loatheb"]["announce"] ) then
					CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRLOATHEB_DOOM_TIMER, "15", "255*0*0"));
				end
			else
				CT_RABoss_Schedule("CT_RABoss_MRLoatheb_EventHandler", 25, "doom5");

				if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Loatheb"]["announce"] ) then
					CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "1", "20", CT_RABOSS_MRLOATHEB_DOOM_TIMER, "30", "255*0*0"));
				end
			end
		end
		
	elseif ( event == "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_BUFF" ) then
		if ( arg1 == CT_RABOSS_MRLOATHEB_CURSE_STRING and CT_RABoss_Mods["Plague wing: Loatheb"]["enablecurses"] ) then
			CT_RABoss_Announce(CT_RABOSS_MRLOATHEB_CURSE_WARN, CT_RABoss_Mods["Plague wing: Loatheb"]["announce"]);
			CT_RABoss_PlaySound(3);

			if ( CT_RA_Level >= 1 and CT_RABoss_Mods["Plague wing: Loatheb"]["announce"] ) then
				CT_RA_SendMessage(format(CT_RABOSS_MRMUKKA_STRING, "2", "20", CT_RABOSS_MRLOATHEB_CURSE_TIMER, "30", "0*0*255"));
			end
		end
		
	elseif ( event == "PLAYER_REGEN_DISABLED" and not CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] ) then
		CT_RABoss_Schedule("CT_RABoss_MRLoatheb_EventHandler", 5, "engagecheck");	

	elseif ( event == "CHAT_MSG_ADDON" and arg1 == "CTRA" ) then
		if ( arg2 == "LOATHEBENGSYNC" and not CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] ) then
			CT_RABoss_MRLoatheb_Start();
		end

	elseif ( event == "engagecheck" and not CT_RABoss_Mods["Plague wing: Loatheb"]["engaged"] ) then
		if ( UnitName("target") == CT_RABOSS_MRLOATHEB_BOSSNAME and UnitAffectingCombat("target") ) then
			CT_RABoss_MRLoatheb_Start();
			CT_RA_SendMessage("LOATHEBENGSYNC");

		elseif ( UnitName("playertarget") == CT_RABOSS_MRLOATHEB_BOSSNAME and UnitAffectingCombat("playertarget") ) then
			CT_RABoss_MRLoatheb_Start();
			CT_RA_SendMessage("LOATHEBENGSYNC");
		else
			local i
			for i = 1, GetNumRaidMembers(), 1 do
				if ( UnitName("raid"..i.."target") == CT_RABOSS_MRLOATHEB_BOSSNAME and UnitAffectingCombat("raid"..i.."target")) then
					CT_RABoss_MRLoatheb_Start();
					CT_RA_SendMessage("LOATHEBENGSYNC");
					break;
				end
			end
		end

	elseif ( event == "doom5") then
		CT_RABoss_Announce(CT_RABOSS_MRLOATHEB_DOOM_5SEC, CT_RABoss_Mods["Plague wing: Loatheb"]["announce"]);
		CT_RABoss_PlaySound(3);

	elseif ( event == "undoom") then
		CT_RABoss_Mods["Plague wing: Loatheb"]["doomtrip"] = false;
	end
end