-- Midnight Reveries Naxxramas Boss Mods v7.23 - 21/09/2006
-- Nothing changed.

-- Raid zones - Thanks to Shinyu 
CT_RABOSS_LOCATIONS_MRNAXXRAMAS = "MR - Naxxramas"; 

function CT_RABoss_ScanModZones()
	local zone = GetRealZoneText();
	for k, v in CT_RABoss_Mods do
		if ( v["location"] ) then
			if ( v["location"] == CT_RABOSS_LOCATIONS_NAXXRAMAS ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_NAXXRAMAS );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_MRNAXXRAMAS ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_NAXXRAMAS );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_AHNQIRAJTEMPLE ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_AHNQIRAJTEMPLE );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_AHNQIRAJRUINS ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_AHNQIRAJRUINS );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_BLACKWINGSLAIR ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_BLACKWINGSLAIR );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_ONYXIASLAIR ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_ONYXIASLAIR );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_MOLTENCORE ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_MOLTENCORE );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_ZULGURUB ) then
				CT_RABoss_Mods[k].enabled = ( zone == CT_RABOSS_MINIMAPLOC_ZULGURUB );
			elseif ( v["location"] == CT_RABOSS_LOCATIONS_OUTDOOR ) then
				local x, y = GetPlayerMapPosition("player");
				CT_RABoss_Mods[k].enabled = ( x ~= 0 or y ~= 0 );
			else
				CT_RABoss_Mods[k].enabled = true;
			end
		end
	end
end

-- Extras
CT_RABOSS_MRMUKKA				= "Mukkatimers";
CT_RABOSS_MRMUKKA_INFO				= "Send sync messages for Mukkatimers.";
CT_RABOSS_MRMUKKA_STRING			= "AaO b%s t%s n*%s* f%s r%s";
CT_RABOSS_MRNAME_YOU				= "You";
CT_RABOSS_MRNAME_TYPE_YOU			= "are";

-- Abomination Wing

-- Patchwerk
CT_RABOSS_MRPATCHWERK_BOSSNAME			= "Patchwerk";
CT_RABOSS_MRPATCHWERK_INFO			= "Display a timer for Patchwerk's berzerker rage.";

CT_RABOSS_MRPATCHWERK_YELL1			= "Patchwerk want to play!";
CT_RABOSS_MRPATCHWERK_YELL2			= "Kel'thuzad make Patchwerk his avatar of war!";

CT_RABOSS_MRPATCHWERK_DEAD			= "What... happen";

CT_RABOSS_MRPATCHWERK_ENGAGED			= "*** Patchwerk engaged - 7 Minutes ***";
CT_RABOSS_MRPATCHWERK_1MINWARN			= "*** 1 Minute until enrage ***";
CT_RABOSS_MRPATCHWERK_WARN			= "*** %s Minutes until enrage ***";
CT_RABOSS_MRPATCHWERK_SECWARN			= "*** %s Seconds until enrage ***";

CT_RABOSS_MRPATCHWERK_ENRAGESTRING		= "%s becomes enraged!";
CT_RABOSS_MRPATCHWERK_BERSERKSTRING		= "%s goes into a berserker rage!";
CT_RABOSS_MRPATCHWERK_ENRAGEWARNING		= "*** ENRAGED ***";
CT_RABOSS_MRPATCHWERK_BERSERKWARNING		= "*** BERSERKER RAGE ***";

-- Grobbulus
CT_RABOSS_MRGROBBULUS_INFO			= "Displays a warning when you or nearby players are afflicted.";
CT_RABOSS_MRGROBBULUS_ALERT			= "Alert for nearby players";
CT_RABOSS_MRGROBBULUS_ALERT_INFO		= "Alert you when nearby players are affected by Mutating Injection.";
CT_RABOSS_MRGROBBULUS_TELL			= "Send tells to targets";
CT_RABOSS_MRGROBBULUS_TELL_INFO			= "Sends a tell to players that are affected by Mutating Injection.";

CT_RABOSS_MRGROBBULUS_MIEXP			= "^([^%s]+) ([^%s]+) afflicted by Mutating Injection";

CT_RABOSS_MRGROBBULUS_AFFLICTED_YOU		= "*** You are afflicted ***";
CT_RABOSS_MRGROBBULUS_AFFLICTED			= "*** %s is afflicted ***";
CT_RABOSS_MRGROBBULUS_AFFLICTED_WHISPER		= "WHISPER";

-- Gluth
CT_RABOSS_MRGLUTH_BOSSNAME			= "Gluth";
CT_RABOSS_MRGLUTH_INFO				= "Displays warnings for Gluth's Frenzy, Fear, and decimate.";
CT_RABOSS_MRGLUTH_FRENZY_ALERT			= "Frenzy";
CT_RABOSS_MRGLUTH_FRENZY_ALERT_INFO		= "When enabled, alerts you of Gluth's Frenzy.";
CT_RABOSS_MRGLUTH_FEAR_ALERT			= "Fear";
CT_RABOSS_MRGLUTH_FEAR_ALERT_INFO		= "When enabled, alerts you of Gluth's Fear.";

CT_RABOSS_MRGLUTH_ENGAGED			= "*** Gluth Engaged ***";
CT_RABOSS_MRGLUTH_FRENZYSTRING			= "%s goes into a frenzy!";
CT_RABOSS_MRGLUTH_FRENZYWARNING			= "*** Frenzy - Tranq shot now ***";
CT_RABOSS_MRGLUTH_DECIMATESOON			= "*** Decimate Soon ***";
CT_RABOSS_MRGLUTH_DECIMATESTRING		= "Decimate";
CT_RABOSS_MRGLUTH_DECIMATEWARNING		= "*** Decimate ***";
CT_RABOSS_MRGLUTH_FEARSTRING			= "Terrifying Roar";
CT_RABOSS_MRGLUTH_FEARWARNING			= "*** Fear - 20 Seconds until next ***";
CT_RABOSS_MRGLUTH_FEAR5SEC			= "*** 5 Seconds until fear ***";
CT_RABOSS_MRGLUTH_FEAR				= "Fear";

-- Thaddius
CT_RABOSS_MRTHADDIUS_BOSSNAME			= "Thaddius";
CT_RABOSS_MRTHADDIUS_INFO			= "Displays Polarity Shift, Enrage, and Power Surge warnings.";
CT_RABOSS_MRTHADDIUS_SURGE_ALERT		= "Power Surge";
CT_RABOSS_MRTHADDIUS_SURGE_ALERT_INFO		= "When enabled, alerts you of a Stalagg's Power Surge.";

CT_RABOSS_MRTHADDIUS_PHASE1_YELL1		= "Stalagg crush you!";
CT_RABOSS_MRTHADDIUS_PHASE1_YELL2		= "Feed you to master!";

CT_RABOSS_MRTHADDIUS_PHASE2_YELL1		= "Eat... your... bones...";
CT_RABOSS_MRTHADDIUS_PHASE2_YELL2		= "Kill...";
CT_RABOSS_MRTHADDIUS_PHASE2_YELL3		= "Break... you!!";

CT_RABOSS_MRTHADDIUS_DEAD			= "Thank... you...";

CT_RABOSS_MRTHADDIUS_PHASE1			= "*** Phase 1 ***";
CT_RABOSS_MRTHADDIUS_PHASE2			= "*** Phase 2 ***";

CT_RABOSS_MRTHADDIUS_SURGE			= "*** Power Surge ***";
CT_RABOSS_MRTHADDIUS_SURGESTRING		= "Stalagg gains Power Surge.";

CT_RABOSS_MRTHADDIUS_SHIFTSTRING		= "Thaddius casts Polarity Shift.";
CT_RABOSS_MRTHADDIUS_SHIFTWARN			= "*** Polarity Shift - Check debuff ***";

CT_RABOSS_MRTHADDIUS_POLARITY			= "Polarity Shift";
CT_RABOSS_MRTHADDIUS_POLARITYSTRING		= "Thaddius begins to cast Polarity Shift.";
CT_RABOSS_MRTHADDIUS_POLARITYWARN		= "*** Polarity Shift is casting ***";

CT_RABOSS_MRTHADDIUS_NOCHANGEWARN		= "*** No Change ***";
CT_RABOSS_MRTHADDIUS_POSITIVEWARN		= "*** You are now a Positive Charge ***";
CT_RABOSS_MRTHADDIUS_NEGATIVEWARN		= "*** You are now a Negitive Charge ***";

CT_RABOSS_MRTHADDIUS_POSITIVE			= "Interface\\Icons\\Spell_ChargePositive";
CT_RABOSS_MRTHADDIUS_NEGATIVE			= "Interface\\Icons\\Spell_ChargeNegative";

CT_RABOSS_MRTHADDIUS_1MINWARN			= "*** 1 Minute until enrage ***";
CT_RABOSS_MRTHADDIUS_WARN			= "*** %s Minutes until enrage ***";
CT_RABOSS_MRTHADDIUS_SECWARN			= "*** %s Seconds until enrage ***";

CT_RABOSS_MRTHADDIUS_BERSERKSTRING		= "%s goes into a berserker rage!";
CT_RABOSS_MRTHADDIUS_BERSERKWARNING		= "*** BERSERKER RAGE ***";

CT_RABOSS_MRTHADDIUS_THROWMSG			= "*** Thrown ***";
CT_RABOSS_MRTHADDIUS_THROWMSG5			= "*** Throw in 5 Seconds ***";


-- Deathknight Wing

-- Instructor Razuvious
CT_RABOSS_MRRAZUVIOUS_BOSSNAME			= "Instructor Razuvious";
CT_RABOSS_MRRAZUVIOUS_STUDENT			= "Deathknight Understudy";
CT_RABOSS_MRRAZUVIOUS_INFO			= "Displays a timer for Razuvious' Disruptive Shout.";

CT_RABOSS_MRRAZUVIOUS_YELL1			= "Show them no mercy!";
CT_RABOSS_MRRAZUVIOUS_YELL2			= "Do as I taught you!";
CT_RABOSS_MRRAZUVIOUS_YELL3			= "Sweep the leg... Do you have a problem with that?";
CT_RABOSS_MRRAZUVIOUS_YELL4			= "The time for practice is over! Show me what you have learned!";

CT_RABOSS_MRRAZUVIOUS_DEAD_YELL1		= "An honorable... death.";

CT_RABOSS_MRRAZUVIOUS_ENGAGED			= "*** Razuvious engaged ***";
CT_RABOSS_MRRAZUVIOUS_SHOUT			= "Disrupting Shout";
CT_RABOSS_MRRAZUVIOUS_SHOUTWARN			= "*** Disruptive Shout in %s seconds ***";
CT_RABOSS_MRRAZUVIOUS_SHOUTNEXT			= "*** Disruptive Shout - 25 Seconds until next ***";

CT_RABOSS_MRRAZUVIOUS_SHIELDSTRING		= "Deathknight Understudy gains Shield Wall.";
CT_RABOSS_MRRAZUVIOUS_SHIELDWALL		= "Shield Wall";

-- Gothik the Harvester
CT_RABOSS_MRGOTHIK_BOSSNAME			= "Gothik the Harvester";
CT_RABOSS_MRGOTHIK_INFO				= "Displays warnings for different mobs and when Gothik is incoming.";

CT_RABOSS_MRGOTHIK_PHASE1_YELL1			= "Foolishly you have sought your own demise.";
CT_RABOSS_MRGOTHIK_PHASE2_YELL1			= "I have waited long enough. Now you face the harvester of souls.";
CT_RABOSS_MRGOTHIK_INC				= "*** Gothik the Harvester Incoming ***";

CT_RABOSS_MRGOTHIK_TRAINEE 			= "Unrelenting Trainee";
CT_RABOSS_MRGOTHIK_KNIGHT			= "Unrelenting Deathknight";
CT_RABOSS_MRGOTHIK_RIDER			= "Unrelenting Rider";

CT_RABOSS_MRGOTHIK_TRAINEES 			= "Trainees";
CT_RABOSS_MRGOTHIK_KNIGHTS			= "Deathknight";
CT_RABOSS_MRGOTHIK_RIDERS			= "Rider";

CT_RABOSS_MRGOTHIK_KNIGHT_DEAD			= "*** Deathknight dead ***";
CT_RABOSS_MRGOTHIK_RIDER_DEAD			= "*** Rider is dead ***";

CT_RABOSS_MRGOTHIK_ADD_INC 			= "*** %s in 3 seconds ***";

CT_RABOSS_MRGOTHIK_ENGAGED			= "*** Gothik engaged - Trainees soon ***";
CT_RABOSS_MRGOTHIK_1MINWARN			= "*** 1 Minute until Gothik ***";
CT_RABOSS_MRGOTHIK_WARN				= "*** %s Minutes until Gothik ***";
CT_RABOSS_MRGOTHIK_SECWARN			= "*** %s Seconds until Gothik ***";

-- The Four Horsemen
CT_RABOSS_MRHORSEMEN_INFO			= "Displays warnings for marks and special abilities.";

CT_RABOSS_MRHORSEMEN_THANE			= "Thane Korth'azz";
CT_RABOSS_MRHORSEMEN_MOGRAINE			= "Highlord Mograine";
CT_RABOSS_MRHORSEMEN_ZELIEK			= "Sir Zeliek";
CT_RABOSS_MRHORSEMEN_BLAUMEUX			= "Lady Blaumeux";

CT_RABOSS_MRHORSEMEN_ENGAGE			= "*** Horsemen engaged - ~12 Seconds until mark ***";
CT_RABOSS_MRHORSEMEN_MARK			= "Mark";

CT_RABOSS_MRHORSEMEN_MARKSTRING			= "is afflicted by Mark of ";
CT_RABOSS_MRHORSEMEN_MARKWARN			= "*** Mark %s in 5 seconds ***";
CT_RABOSS_MRHORSEMEN_MARKNOW			= "*** Mark %s now ***";

CT_RABOSS_MRHORSEMEN_VOIDSTRING			= "Lady Blaumeux casts Void Zone.";
CT_RABOSS_MRHORSEMEN_VOIDWARN			= "*** Void Zone Soon ***";
CT_RABOSS_MRHORSEMEN_VOID			= "Void Zone";

CT_RABOSS_MRHORSEMEN_METEORSTRING		= "Thane Korth'azz's Meteor hits";
CT_RABOSS_MRHORSEMEN_METEORWARN			= "*** Meteor ***";
CT_RABOSS_MRHORSEMEN_METEOR			= "Meteor";

CT_RABOSS_MRHORSEMEN_WRATHSTRING		= "Sir Zeliek's Holy Wrath hits";
CT_RABOSS_MRHORSEMEN_WRATHWARN			= "*** Holy Wrath ***";
CT_RABOSS_MRHORSEMEN_WRATH			= "Holy Wrath";

CT_RABOSS_MRHORSEMEN_SHIELDSTRING		= " gains Shield Wall.";
CT_RABOSS_MRHORSEMEN_SHIELDNAME			= "%s - Shield Wall";
CT_RABOSS_MRHORSEMEN_SHIELDWARN			= "*** %s has Shield Wall for 20 seconds ***";
CT_RABOSS_MRHORSEMEN_SHIELDOVER			= "*** %s has lost Shield Wall ***";


-- Ghoul Wing

-- Noth the Plaguebringer
CT_RABOSS_MRNOTH_BOSSNAME			= "Noth the Plaguebringer";

CT_RABOSS_MRNOTH_WARRIOR			= "Plagued Warrior";
CT_RABOSS_MRNOTH_CHAMPION			= "Plagued Champion";
CT_RABOSS_MRNOTH_GUARDIAN			= "Plagued Guardian";

CT_RABOSS_MRNOTH_INFO				= "Displays warnings for Noth's teleport and blink.";
CT_RABOSS_MRNOTH_CURSE_ALERT			= "Warn for curse";
CT_RABOSS_MRNOTH_CURSE_ALERT_INFO		= "Warning for Noth's Curse of the Plaguebringer";

CT_RABOSS_MRNOTH_YELL1				= "Glory to the master!";
CT_RABOSS_MRNOTH_YELL2				= "Your life is forfeit!";
CT_RABOSS_MRNOTH_YELL3				= "Die, trespasser!";

CT_RABOSS_MRNOTH_DEAD_YELL1			= "I will serve the master... in death!";

CT_RABOSS_MRNOTH_BACK_10SEC			= "*** Noth is back in 10 Seconds ***";
CT_RABOSS_MRNOTH_BACK				= "*** Noth is back - %s Seconds until teleport ***"
CT_RABOSS_MRNOTH_ENGAGED			= "*** Noth engaged - 90 Seconds until teleport ***"
CT_RABOSS_MRNOTH_TELEPORT_10SEC			= "*** Teleport in 10 Seconds ***";
CT_RABOSS_MRNOTH_TELEPORTED			= "*** Noth has Teleported - %s Seconds until he returns ***";
CT_RABOSS_MRNOTH_TELEPORT			= "Teleport";
CT_RABOSS_MRNOTH_BALCONY			= "Balcony";

CT_RABOSS_MRNOTH_BLINK				= "Blink";
CT_RABOSS_MRNOTH_BLINKSTRING			= "Noth the Plaguebringer gains Blink.";
CT_RABOSS_MRNOTH_BLINKWARNING			= "*** NOTH HAS BLINKED - STOP DPS ***";
CT_RABOSS_MRNOTH_BLINKSOON			= "*** Blink coming soon ***";

CT_RABOSS_MRNOTH_CURSESTRING			= "afflicted by Curse of the Plaguebringer.";
CT_RABOSS_MRNOTH_DISPELL			= "*** DISPELL CURSE ***";

-- Heigan the Unclean

CT_RABOSS_MRHEIGAN_BOSSNAME			= "Heigan the Unclean";
CT_RABOSS_MRHEIGAN_INFO				= "Displays warnings for Heigan's teleports.";

CT_RABOSS_MRHEIGAN_PHASE1_YELL1			= "I see you...";
CT_RABOSS_MRHEIGAN_PHASE1_YELL2			= "You are mine now.";
CT_RABOSS_MRHEIGAN_PHASE1_YELL3			= "You... are next.";

CT_RABOSS_MRHEIGAN_PHASE2_YELL1			= "The end is upon you.";

CT_RABOSS_MRHEIGAN_DEAD				= "%s takes his last breath.";

CT_RABOSS_MRHEIGAN_ENGAGED			= "*** Heigan Engaged - ~90 Seconds until teleport ***";
CT_RABOSS_MRHEIGAN_TELEPORTED			= "*** Heigan Teleported - ~45 Seconds until he is back ***";
CT_RABOSS_MRHEIGAN_TELEPORT_10SEC		= "*** Teleport in 10 Seconds ***";
CT_RABOSS_MRHEIGAN_BACK_3SEC			= "*** Heigan is back in ~3 Seconds ***";
CT_RABOSS_MRHEIGAN_BACK				= "*** Heigan is back - ~90 Seconds until teleport ***";
CT_RABOSS_MRHEIGAN_TELEPORT			= "Teleport";
CT_RABOSS_MRHEIGAN_DANCE			= "Dance";

-- Loatheb
CT_RABOSS_MRLOATHEB_BOSSNAME			= "Loatheb";
CT_RABOSS_MRLOATHEB_INFO			= "Displays warnings for Loatheb's Inevitable Doom.";

CT_RABOSS_MRLOATHEB_CURSES_ALERT		= "Warn for curse removal";
CT_RABOSS_MRLOATHEB_CURSES_ALERT_INFO		= "Warning for Loatheb's Curse removal";

CT_RABOSS_MRLOATHEB_ENGAGE			= "*** 2 Minutes till Inevitable Doom ***";

CT_RABOSS_MRLOATHEB_DOOM_STRING			= "afflicted by Inevitable Doom.";
CT_RABOSS_MRLOATHEB_DOOM_5SEC			= "*** Inevitable Doom in 5 Seconds ***";
CT_RABOSS_MRLOATHEB_DOOM_WARN			= "*** Inevitable Doom ***";
CT_RABOSS_MRLOATHEB_DOOM_TIMER			= "Inevitable Doom";

CT_RABOSS_MRLOATHEB_CURSE_WARN			= "*** Curses removed ***";
CT_RABOSS_MRLOATHEB_CURSE_STRING		= "Loatheb casts Remove Curse on Loatheb.";
CT_RABOSS_MRLOATHEB_CURSE_TIMER			= "Remove Curses";


-- Spider Wing

-- Anub'Rekhan
CT_RABOSS_MRANUB_INFO				= "Displays warnings for Anub'Rekhan's Locust Swarm.";

CT_RABOSS_MRANUB_YELL1				= "There is no way out.";
CT_RABOSS_MRANUB_YELL2				= "Just a little taste...";
CT_RABOSS_MRANUB_YELL3				= "Yes, run! It makes the blood pump faster!";

CT_RABOSS_MRANUB_ENGAGE				= "*** First Locust Swarm in 80-120 Seconds ***";

CT_RABOSS_MRANUB_WARN				= "*** %s Seconds until Locust Swarm ***";
CT_RABOSS_MRANUB_CASTSTRING			= "Anub'Rekhan begins to cast Locust Swarm.";
CT_RABOSS_MRANUB_CASTWARN			= "*** Locust swarm is casting ***";
CT_RABOSS_MRANUB_GAINSTRING			= "Anub'Rekhan gains Locust Swarm.";
CT_RABOSS_MRANUB_ENDED				= "*** Locust Swarm has ended ***";
CT_RABOSS_MRANUB_LOCUST				= "Locust Swarm";
CT_RABOSS_MRANUB_CASTING			= "Casting";

-- Grand Widow Faerlina
CT_RABOSS_MRFAERLINA_INFO			= "Displays warnings for Faerlina's enrage.";

CT_RABOSS_MRFAERLINA_YELL1			= "You cannot hide from me!";
CT_RABOSS_MRFAERLINA_YELL2			= "Slay them in the master's name!";
CT_RABOSS_MRFAERLINA_YELL3			= "Run while you still can!";
CT_RABOSS_MRFAERLINA_YELL4			= "Kneel before me, worm!";

CT_RABOSS_MRFAERLINA_DEAD			= "The master will avenge me!";

CT_RABOSS_MRFAERLINA_ENGAGE			= "*** First enrage within 60 Seconds ***";

CT_RABOSS_MRFAERLINA_ENRAGEIN			= "*** Enrage in %s Seconds ***";
CT_RABOSS_MRFAERLINA_ENRAGEWARN			= "*** ENRAGE ***";
CT_RABOSS_MRFAERLINA_ENRAGESILENCED		= "*** Enrage silenced - %s Second CD ***";
CT_RABOSS_MRFAERLINA_SILENCED			= "*** Silenced - 30 Second CD ***";

CT_RABOSS_MRFAERLINA_ENRAGE			= "Enrage";
CT_RABOSS_MRFAERLINA_SILENCE			= "Silenced";

CT_RABOSS_MRFAERLINA_EMBRACESTRING		= "Grand Widow Faerlina is afflicted by Widow's Embrace.";

-- Maexxna
CT_RABOSS_MRMAEXXNA_BOSSNAME			= "Maexxna";
CT_RABOSS_MRMAEXXNA_INFO			= "Displays warnings for Maexxna's Web and Web Wrap.";
CT_RABOSS_MRMAEXXNA_WRAP_ALERT			= "Web Wrap";
CT_RABOSS_MRMAEXXNA_WRAP_ALERT_INFO		= "Warning for Maexxna's Web Wrap";
CT_RABOSS_MRMAEXXNA_WRAP_NAMES			= "Web Wrap Names";
CT_RABOSS_MRMAEXXNA_WRAP_NAMES_INFO		= "Displays the names of players afflicted by Maexxna's Web Wrap";

CT_RABOSS_MRMAEXXNA_ENGAGE			= "*** Maexxna Engaged ***";

CT_RABOSS_MRMAEXXNA_SPRAYSTRING			= "afflicted by Web Spray.";
CT_RABOSS_MRMAEXXNA_SPAWNS			= "Spawns";
CT_RABOSS_MRMAEXXNA_15SEC			= "*** 15 Seconds - Spawns soon ***";
CT_RABOSS_MRMAEXXNA_10SEC			= "*** Spawns ***";
CT_RABOSS_MRMAEXXNA_5SEC			= "*** 5 Seconds until Web Spray ***";
CT_RABOSS_MRMAEXXNA_SPRAYWARN			= "*** Webbed - 40 Seconds until next ***";
CT_RABOSS_MRMAEXXNA_SPRAY			= "Web Spray"

CT_RABOSS_MRMAEXXNA_WWEXP			= "^([^%s]+) ([^%s]+) afflicted by Web Wrap";
CT_RABOSS_MRMAEXXNA_WRAPPED_YOU			= "*** You are Web Wrapped ***";
CT_RABOSS_MRMAEXXNA_WRAPPED			= "*** %s is Web Wrapped ***";
CT_RABOSS_MRMAEXXNA_WRAPWARN			= "*** Web Wraps ***"
CT_RABOSS_MRMAEXXNA_WRAPS			= "Web Wraps"

CT_RABOSS_MRMAEXXNA_ENRAGESTRING		= "%s becomes enraged!";
CT_RABOSS_MRMAEXXNA_ENRAGEWARN			= "*** ENRAGED ***";